' ---------------------------------------------------------------------------------------
'
' Scheibenwischer3b Win                                            Ulrich Mller 07.08.10
'                                                                  Aspire VB 2005 Express
' Steuerung Scheibenwischer - Buttons 0 : aus, 1 : Interval, 2 : langsam, 3 : schnell
' Robo LT Beginner Lab : Beispielprogramme - Umsetzung nach VB 2005 - Console
' Robo LT Controller   : Betrieb ber FishFace2005.DLL
'
' ---------------------------------------------------------------------------------------

Imports FishFace40
Public Class SWischer3bWin
	Dim fl As New FishFace()
	Dim Modus As Integer = 0
	Dim ModusAlt As Integer = 0

	Private Sub ModusClick(ByVal sender As System.Object, ByVal e As System.EventArgs) _
	Handles cmdS0.Click, cmdS3.Click, cmdS2.Click, cmdS1.Click
		ModusAlt = Modus
		Modus = CType(sender, Button).Tag
	End Sub

	Private Sub cmdAction_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) _
	Handles cmdAction.Click
		cmdAction.Enabled = False
		fl.OpenInterface(IFTypen.ftROBO_first_USB, 0)
		fl.SetMotor(Out.M2, Dir.Ein)
		lblStatus.Text = "Button 0 - 1 - 2 - 3"
		Do
			Select Case Modus
				Case 2
					lblStatus.Text = "2 : Langsam"
					fl.SetMotor(Out.M1, Dir.Rechts, Speed.L2)
				Case 1
					lblStatus.Text = "1 : Interval"
					fl.SetMotor(Out.M1, Dir.Rechts, Speed.L2)
					fl.WaitForChange(Inp.I3, 4)
					fl.SetMotor(Out.M1, Dir.Aus)
					fl.Pause(2000)
				Case 3
					lblStatus.Text = "3 : Schnell"
					fl.SetMotor(Out.M1, Dir.Rechts)
				Case 0
					If ModusAlt > 0 Then
						lblStatus.Text = "0 : Aus"
						fl.WaitForInput(Inp.I3, False)
						ModusAlt = 0
						fl.SetMotor(Out.M1, Dir.Aus)
					End If
			End Select
			fl.Pause(12)
		Loop Until fl.Finish()
		fl.CloseInterface()
		cmdAction.Enabled = True
	End Sub
End Class

