﻿' ---------------------------------------------------------------------------------------
'
' Treppenhaus3                                                     Ulrich Müller 06.08.10
'                                                                  Aspire VB 2005 Express
' Sobald einer der beiden Taster gedrückt wird, soll das Treppenhauslicht angehen.
' wird wieder einer der Taster gedrückt, geht das Licht aus (Wechselschalter).
' Robo LT Beginner Lab : Beispielprogramme - Umsetzung nach VB 2005 - Console
' Robo LT Controller   : Betrieb über FishFace2005.DLL
'
' ---------------------------------------------------------------------------------------

Imports FishFace40
Module Treppenhaus3
	Dim fl As New FishFace()
	Const Beleuchtung As Out = Out.M1
	Const Taster1 As Inp = Inp.I1
	Const Taster2 As Inp = Inp.I2

	Sub Main()
		Console.WriteLine("--- Treppenhauslicht : gestartet ---")
		Console.WriteLine("--- Ende : ESC-Taste ---")
		Try
			fl.OpenInterface(IFTypen.ftROBO_first_USB, 0)
			Do
				WaitForOff()
				WaitForOn()
				fl.SetMotor(Beleuchtung, Dir.Ein)
				WaitForOff()
				WaitForOn()
				fl.SetMotor(Beleuchtung, Dir.Aus)
			Loop Until fl.Finish()
		Catch e As Exception
			Console.WriteLine(e.Message)
		Finally
			fl.CloseInterface()
		End Try
		Console.WriteLine("--- Schließen : Return-Taste ---")
		Console.ReadLine()
	End Sub

	Private Sub WaitForOn()
		Do
			fl.Pause(50)
		Loop Until fl.GetInput(Taster1) Or fl.GetInput(Taster2) Or fl.Finish()
	End Sub
	Private Sub WaitForOff()
		fl.WaitForInput(Taster1, False)
		fl.WaitForInput(Taster2, False)
	End Sub
End Module
