﻿' ---------------------------------------------------------------------------------------
'
' Schiebetuer2                                                     Ulrich Müller 05.08.10
'                                                                  Aspire VB 2005 Express
' Öffnen durch Lichtschranke, schließen nach 10 Sekunden
' Robo LT Beginner Lab : Beispielprogramme - Umsetzung nach VB 2005 - Console
' Robo LT Controller   : Betrieb über FishFace2005.DLL
'
' ---------------------------------------------------------------------------------------

Imports FishFace40
Module Schiebetuer2
	Dim fl As New FishFace()
	Const Tuer As Out = Out.M1
	Const LLampe As Out = Out.M2
	Const Schliessen As Dir = Dir.Rechts
	Const Oeffnen As Dir = Dir.Links
	Const TuerOffen As Inp = Inp.I1
	Const TuerZu As Inp = Inp.I2
	Const Lichtschranke As Inp = Inp.I3
	Const Unterbrochen As Boolean = False

	Sub Main()
		Console.WriteLine("--- Gestartet : Abbruch mit ESC-Taste ---")
		fl.OpenInterface(IFTypen.ftROBO_first_USB, 0)

		fl.SetMotor(LLampe, Dir.Ein)
		fl.Pause(500)
		fl.SetMotor(Tuer, Schliessen)
		fl.WaitForInput(TuerZu)
		fl.SetMotor(Tuer, Dir.Aus)

		Do
			fl.WaitForInput(Lichtschranke, Unterbrochen)
			fl.SetMotor(Tuer, Oeffnen)
			fl.WaitForInput(TuerOffen)
			fl.SetMotor(Tuer, Dir.Aus)
			fl.Pause(10000)

			fl.SetMotor(Tuer, Schliessen)
			fl.WaitForInput(TuerZu)
			fl.SetMotor(Tuer, Dir.Aus)
		Loop Until fl.Finish()

		fl.CloseInterface()
		Console.WriteLine("--- Schließen : Return-Taste ---")
		Console.ReadLine()
	End Sub

End Module
