﻿' ---------------------------------------------------------------------------------------
'
' Waschmaschine4/5                                                 Ulrich Müller 05.08.10
'                                                                  Aspire VB 2005 Express
' Wie 3 plus Trockengang und Anzeige Betriebszustand
' Robo LT Beginner Lab : Beispielprogramme - Umsetzung nach VB 2005 - Console
' Robo LT Controller   : Betrieb über FishFace2005.DLL
'
' ---------------------------------------------------------------------------------------

Imports FishFace40
Module Waschmaschine4
	Dim fl As New FishFace()
	Const Motor As Out = Out.M1
	Const Anzeige As Out = Out.M2
	Const Starter As Inp = Inp.I1
	Const TuerZu As Inp = Inp.I2

	Sub Main()
		Console.WriteLine("--- Gestartet : Abbruch mit ESC-Taste ---")
		fl.OpenInterface(IFTypen.ftROBO_first_USB, 0)
		Do
			Console.WriteLine("--- Start Waschgang : I1-Taster ---")
			Console.WriteLine("--- Tür muß geschlossen sein ---")
			Do
				fl.WaitForInput(Starter)
			Loop Until fl.GetInput(TuerZu)
			fl.SetMotor(Anzeige, Dir.Ein)

			Console.WriteLine("Waschen")
			fl.SetMotor(Motor, Dir.Rechts, Speed.L2)
			fl.Pause(10000)
			fl.SetMotor(Motor, Dir.Aus)
			fl.Pause(1000)

			Console.WriteLine("Schleudern")
			fl.SetMotor(Motor, Dir.Rechts, Speed.Full)
			fl.Pause(15000)
			fl.SetMotor(Motor, Dir.Aus)
			fl.Pause(1000)

			Console.WriteLine("Trocknen")
			Trocknen(Dir.Rechts)
			Trocknen(Dir.Links)
			fl.SetMotor(Anzeige, Dir.Aus)
		Loop Until fl.Finish()

		fl.CloseInterface()
		Console.WriteLine("--- Schließen : Return-Taste ---")
		Console.ReadLine()
	End Sub

	Private Sub Trocknen(ByVal Richtung As Dir)
		fl.SetMotor(Motor, Richtung, Speed.L1)
		fl.Pause(10000)
		fl.SetMotor(Motor, Dir.Aus)
		fl.Pause(1000)
	End Sub
End Module
